<template>
  <section>
    
    <div class="background">

      <history/>

    <div class="condition_space" v-if="history_field == ''">  
      <div class="wrapper">
          Ooops, parece que não fez nenhuma reserva de armário ainda...
      </div>
    </div>

    <div class="condition_space" v-else>
      <div class="wrapper" v-for="semesterHist of history_field" :key="semesterHist.id">
        <h3 class="title">
          Semestre {{semesterHist.semester}} - {{semesterHist.year}}
        </h3>
        <div class="bar"> </div>
          <b-list-group-item v-for="message of semesterHist.messageList" :key="message.id">
              {{message.message}}
          </b-list-group-item>
        </div>
      </div>
    </div>
    
  </section>
</template>


<script>
import history from '~/components/history_title.vue'


// Mock data just for testing the UI
let semesters = [{year: 2016, semester: 2},
     {year: 2017, semester: 1},
     {year: 2017, semester: 2},
     {year: 2018, semester: 1}];

let itemLists =
    [ [
  {message: "aaaa", id:1},
  {message: "bbbbbb", id: 2},
  {message: "cccccccc", id: 3}
    ],
      [
    {message: "eeee", id:1},
    {message: "ffff", id: 2},
    {message: "ggggg", id: 3}
      ],
    ];

let history_field = [];
for(let semester of semesters){
    let currentList = itemLists.shift()
    itemLists.push(currentList)    
    let tempHist = {
  year: semester.year,
  semester: semester.semester,
  messageList: currentList,
  // Is defined in a way such that the semesters are ordered in
  // decreasing order
  id: 30003 - (semester.year.toString()
         + semester.semester.toString())
    }
    history_field.push(tempHist)
}


history_field.sort((a, b) => {return a.id - b.id})
history_field = []

export default {
  components: {
    history
  },
  data () {
    return {
      history_field: history_field
    }
  },

  async fetch ({ store, params, app }) {
    try {
      let flow = await app.$axios.$get('http://localhost:3000/v1/user_flow')
      console.log(flow)
    } catch (err) {
      console.log(err)
    }
  }
}

</script>


<style>

</style>